#!/bin/sh
#
# Component: dicom
#
# Description:
#    Wrapper around sendman to let it create debug logs
#
# Last Updated     : $Author$
# Update Date Time : $Date$
# RCS File Name    : $RCSfile$
# RCS Revision     : $Revision$
# Locked by        : $Locker$
# Symbolic name    : $Name$
# State            : $State$
#

. $HOME/etc/setenv.sh

function addstamp_() {
	while read line; do
		echo `date +"%b %e %T"` "[$$] $line"
	done
}


DICOM_OPTIONS=""
hasDebug="false"
if [ -f "$RUN/dicom.options" ] ; then
	. "$RUN/dicom.options" 2>/dev/null
	if `grep -q -- "-d" <<<"$DICOM_OPTIONS"`; then
		hasDebug="true"
	fi
fi

if [ "$hasDebug" = "false" ] ; then
	$DICOM_HOME/bin/sendman "$@" >/dev/null 2>&1
	exit $?
fi

$DICOM_HOME/bin/sendman $DICOM_OPTIONS "$@" 2>&1 | addstamp_ >>$LOG/sendman.log 
exit $?
